package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/1/2
 */
public class CoursePostponeDto {

    @ApiModelProperty(value = "班级编号，逗号分隔")
    private String classGroupIds;

    @ApiModelProperty(value = "课程暂停时间")
    private Date pauseDate;

    @ApiModelProperty(value = "课程恢复时间")
    private Date recoveryDate;

    @ApiModelProperty(value = "跳过节假日")
    private boolean skipHoliday;

    public String getClassGroupIds() {
        return classGroupIds;
    }

    public void setClassGroupIds(String classGroupIds) {
        this.classGroupIds = classGroupIds;
    }

    public Date getPauseDate() {
        return pauseDate;
    }

    public void setPauseDate(Date pauseDate) {
        this.pauseDate = pauseDate;
    }

    public Date getRecoveryDate() {
        return recoveryDate;
    }

    public void setRecoveryDate(Date recoveryDate) {
        this.recoveryDate = recoveryDate;
    }

    public boolean isSkipHoliday() {
        return skipHoliday;
    }

    public void setSkipHoliday(boolean skipHoliday) {
        this.skipHoliday = skipHoliday;
    }
}
